Subject: Re: Call for Comment: <draft-iab-rfc3677bis> (IETF ISOC Board of Trustee Appointment Procedures)

From: Barry Leiba <[email-masked]>
Date: Wed, 24 Feb 2016 10:56:18 -0800

The main substantive changes are the fourth board appointment and this
paragraph:

   If ISOC further modifies [ISOC-By-Laws] concerning the number of IAB
   appointments to the ISOC Board or the timing thereof, the IAB will
   make reasonable modifications to the processes embodied in this
   document, without requiring further modification to this document.
   Such changes will be announced via an IAB statement.

While this is certainly expedient, it's quite open-ended, entirely
left up to the judgment of the sitting IAB about what "reasonable
modifications" might mean.  Certainly, with a by-law change that adds
a board appointment, most anyone would consider it reasonable to just
add that appointment with the appropriate periodicity, and it's
reasonable not to have to rev this document for that.

But 3677bis is now basically saying that BCP 77 is now obsolete, that
this version is the last one and is indeed documenting current
practice, and that future changes will be made by IAB decision and not
by revision of BCP 77.

Is that the intent?  If so, maybe it would be better now to simply
make BCP 77 obsolete and shift the whole thing into an IAB statement
at this point.

Barry

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 25 Feb 2016 08:06:33 +1300

> reasonable not to have to rev this document for that.

Yes, but I think this needs to be circumscribed. Wouldn't it be better
to require that BCP 77 is appropriately updated within 12 months in
such a case, i.e. trust the IAB to do the right thing but also commit
to updating the rules accordingly?

    Brian

---

From: "John Levine" <[email-masked]>
Date: 24 Feb 2016 21:33:55 -0000

>reasonable not to have to rev this document for that.

ISOC has no plans to change the way the board is appointed, and if we
were tp do so, I'm sure the IAB and everyone else would have months if
not years of advance notice.  Is this really a problem that needs to
be solved now?

R's,
John

---

From: "Joe Hildebrand (jhildebr)" <[email-masked]>
Date: Wed, 24 Feb 2016 22:29:09 +0000

>to updating the rules accordingly?

I guess I'm ok with that. We could also trust the IAB to know the difference between a substantive change and a minor one.

Anyway, please propose text.

-- 
Joe Hildebrand

---

From: Joe Hildebrand <[email-masked]>
Date: Wed, 24 Feb 2016 15:32:51 -0700

> On Feb 24, 2016, at 2:33 PM, John Levine <[email-masked]> wrote:
> 

Well, we didn't think to update BCP77 last year when we probably should have.  If the community wants to ensure that the IAB doesn't overstep its remit, we can remove this section in its entirety, and rev BCP77 for every minor change.

-- 
Joe Hildebrand

---

From: Barry Leiba <[email-masked]>
Date: Wed, 24 Feb 2016 14:37:47 -0800

Barry said...
>>> reasonable not to have to rev this document for that.

Brian said...
>>to updating the rules accordingly?

Joe said...
> I guess I'm ok with that. We could also trust the IAB to know the
> difference between a substantive change and a minor one.

Actually, I'm fine with trusting the IAB here, as it's limited to
appointments that it is given the power to make; I just want to make
absolutely sure that the community knows what it's agreeing to.
That's why I'd rather simply shift this to an IAB statement now, and
make it clear that BCP 77 as a whole is now obsolete, and that the
process that BCP 77 formerly described is now described in the IAB
statement.

[To keep this in perspective, I'm not going to hold out on this point;
it's a suggestion -- one that I think makes it fully clear what's
being changed in how we document this process.]

Barry

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 25 Feb 2016 15:59:55 +1300

>> difference between a substantive change and a minor one.

Absolutely. I don't distrust the IAB at all, but if we're going to
have a BCP at all, it needs to be done right.

> being changed in how we document this process.]

I feel that it has to remain a BCP, because these are IETF seats
on the BoT, and the IETF chose to delegate the job of filling
them to the IAB. So the minimal BCP would be one that says
just that: "The IETF delegates the selection process to the IAB."

Before drafting text as Joe requested, I'll wait to see if
the minimalist version attracts interest.

   Brian

---

From: "Bradner, Scott" <[email-masked]>
Date: Thu, 25 Feb 2016 12:27:11 +0000

re section 3.5 mid-term vacancies

please hold off on this particular section for a bit - I am in the middle of proposing some changes 
to the ISOC bylaws - mostly to clear up some confusions - and one of these changes concerns IETF vacancy appointments

the current bylaws do not limit when the IETF can appoint someone to fill a vacancy but do limit when such an
appointment can take office to the start of the ISOC mid year meeting, when all new trustees take office - which might
be a bit frustrating to the appointee

I am proposing a bylaws update that will put the IETF appointment t fill a vacancy to be the same
as it is for the chapters & org members - with until the next appointment cycle (to do otherwise
provided unequal treatment for the IETF)

in any case some change is needed to clarify the existing situation

Scott

> On Feb 24, 2016, at 12:59 PM, IAB Executive Administrative Manager <[email-masked]> wrote:
> 
> This is an announcement of an IETF-wide Call for Comment on
> draft-iab-rfc3677bis-00.
> 
> The document is being considered for publication as a Best Current 
> Practice RFC within the IAB stream, and is available for inspection 
> here: https://datatracker.ietf.org/doc/draft-iab-rfc3677bis/
> 
> The Call for Comment will last until 2016-03-23. Please send comments to
> [email-masked] and [email-masked].
> 
> 
> Abstract
> 
>   This memo, which obsoletes RFC3677, outlines the process by which the
>   IETF makes a selection of an Internet Society (ISOC) Board of
>   Trustees appointment.
>

---

From: Bob Hinden <[email-masked]>
Date: Thu, 25 Feb 2016 15:35:06 -0800

Brian,

> the minimalist version attracts interest.

I think it should remain an RFC in the current style.  I think it’s an important element for ISOC and think it is useful to be documented in an RFC.

Further, the ISOC By-laws don’t change very often, from a practical point of view we don’t need to be concerned this document will need to be updated very often.  The last ISOC by-laws change that this update is dealing with took several years to go from conception to adoption

Bob

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 28 Feb 2016 08:49:38 +1300

Bob,

I agree with you. I didn't actually advocate the minimalist version;
I just wanted to point out that we need a BCP in any case.

So, I suggest something like this:

OLD:

NEW:
   If ISOC further modifies [ISOC-By-Laws] concerning the number of IETF
   appointments to the ISOC Board or the timing thereof, the IAB may
   make corresponding modifications to the frequency and the timing of
   the processes embodied in this document, pending any modification to
   this document. Such changes will be announced via an IAB statement.

     Brian

---

From: Barry Leiba <[email-masked]>
Date: Sat, 27 Feb 2016 12:35:49 -0800

>    this document. Such changes will be announced via an IAB statement.

I think a change such as that would be good.

Barry

---

From: John C Klensin <[email-masked]>
Date: Sat, 27 Feb 2016 15:39:49 -0500

--On Saturday, February 27, 2016 12:35 -0800 Barry Leiba
<[email-masked]> wrote:

>> NEW:
>>    If ISOC further modifies [ISOC-By-Laws] concerning the
>>    number of IETF appointments to the ISOC Board or the
>>    timing thereof, the IAB may make corresponding
>>    modifications to the frequency and the timing of the
>>    processes embodied in this document, pending any
>>    modification to this document. Such changes will be
>>    announced via an IAB statement.
> 

I agree but, if the intent is that the IAB modifications and
statement are a stopgap, to avoid discontinuities, etc., but
that the IAB is still expected to move expeditiously to get the
BCP updated, that could be said a lot more clearly.

   john

---

From: Bob Hinden <[email-masked]>
Date: Sun, 28 Feb 2016 08:11:44 -0800

> On Feb 27, 2016, at 12:39 PM, John C Klensin <[email-masked]> wrote:
> 
> 
> 

I agree.  The IAB shouldn’t delay it’s board appointment until this document is updated, but it should do an update in a reasonable amount of time.

Thanks,
Bob

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 29 Feb 2016 07:48:57 +1300

Well, OK.

NEW NEW:
  If ISOC further modifies [ISOC-By-Laws] concerning the
  number of IETF appointments to the ISOC Board or the
  timing thereof, the IAB may make corresponding
  modifications to the frequency and the timing of the
  processes embodied in this document. Such changes will
  be announced via an IAB statement. The IAB must then
  propose a corresponding update to this document within
  one year.

Regards
   Brian

---

From: John C Klensin <[email-masked]>
Date: Sun, 28 Feb 2016 14:52:51 -0500

>   propose a corresponding update to this document within

Much improved.  FWIW, I'd prefer "should" in the last sentence
to "must".  While I think they are unlikely, one can imagine
circumstances that would prevent them from doing so as well as
debates over what "propose" means.  If they fail to do so, the
community presumably has ways to hold the IAB accountable that
avoid the constitutional crisis around this particular issue
implied by "must".  I also think "one year" is too long as a
target. Perhaps "The IAB must then initiate work on a
corresponding update to this document with the expectation that
a proposal will be completed in under a year." or words to that
effect.

thanks,
    john

---

From: Michael StJohns <[email-masked]>
Date: Sun, 28 Feb 2016 15:06:37 -0500

>    propose a corresponding update to this document within

I'm always somewhat pained by toothless requirements.  E.g.  what's the 
downside if the IAB fails propose an update, or if they drag out the 
completion of the update for several years because other things are more 
important?

The above is either too much or too little.  So if its too much then:

Replace 3.4.1 and 3.4.2 with:  "The IAB shall appoint the IETF-sourced 
members to the ISOC board with the terms and schedule for such members 
as described by the ISOC charter, and as they are notified by the ISOC 
board of IETF-sourced vacancies."

[I see no reason for the BCP to go into the details of which years as a) 
its not under the IETF's control, and b) it's subject to change if the 
ISOC board needs to move things around]

If its too little then:

replace 3.4.2 with the Brian's text (replacing "proposed" with 
"completed") and adding:  "If the IAB fails to complete a change to the 
BCP within 1 year, then their power to appoint the IETF-sourced members 
of the ISOC board shall lapse  and such power shall devolve upon the 
most recently seated IETF nominations committee. The confirmation of 
such appointments shall remain with the IESG.  The power to make such 
appointments shall revert to the IAB upon publication of the updated BCP."

[Basically, if the IAB doesn't have time to complete the BCP, then it 
probably doesn't have time to deal with the ISOC appointments]

To be clear, I'd go with the "too much" alternative above and just say 
that the appointments are made on the schedule described by the ISOC.

On the other hand, noting that the language in the rationale section 
(1.2) is no longer a completely accurate statement of reality (cf 
appointment of IAOC members), it may make sense to re-address who should 
be doing these appointments.  Perhaps the IAOC is a better body?  Or 
this can be folded into the Nomcom process?   Not making any 
recommendations here, just noting that if we're updating this document, 
we should make sure it's all valid as of the date of publication.

Later, Mike

---

From: John C Klensin <[email-masked]>
Date: Sun, 28 Feb 2016 15:19:19 -0500

--On Sunday, February 28, 2016 15:06 -0500 Michael StJohns
<[email-masked]> wrote:

> I'm always somewhat pained by toothless requirements.  E.g.
> what's the downside if the IAB fails propose an update, or if
> they drag out the completion of the update for several years
> because other things are more important?

So am I.  However, my pain level about toothless requirements is
exceeded by my pain level about making specific requirements for
the handling of unusual or edge-case situations, requirements
that may not be able to anticipate all possible cases and that
therefore may overreact or under-react.   I'd like to believe
that the community has ways to hold the IAB accountable for
failing, without good reason, to do things the community told
them to do.  I'd also like to believe that the vast majority of
the IAB takes community instructions seriously enough that those
instructions will, if clear, simply be followed in the
overwhelming percentage of circumstances.    If that turns out
to not be the case and accountability mechanisms prove necessary
but ineffective in practice, and the community actually cares,
the community has a much more serious problem than whether ISOC
BoT members are appointed or a specific BCP is updated.

    john

---

From: Scott O. Bradner <[email-masked]>
Date: Sun, 28 Feb 2016 15:35:01 -0500

> On Feb 28, 2016, at 3:06 PM, Michael StJohns <[email-masked]> wrote:
> 
> I'm always somewhat pained by toothless requirements.  E.g.  what's the downside if the IAB fails propose an update, or if they drag out the completion of the update for several years because other things are more important?
> 
> Replace 3.4.1 and 3.4.2 with:  "The IAB shall appoint the IETF-sourced members to the ISOC board with the terms and schedule for such members as described by the ISOC charter, and as they are notified by the ISOC board of IETF-sourced vacancies.”

s/charter/by laws/

Scott
> 
> [I see no reason for the BCP to go into the details of which years as a) its not under the IETF's control, and b) it's subject to change if the ISOC board needs to move things around]
> 
> If its too little then:
> 
> replace 3.4.2 with the Brian's text (replacing "proposed" with "completed") and adding:  "If the IAB fails to complete a change to the BCP within 1 year, then their power to appoint the IETF-sourced members of the ISOC board shall lapse  and such power shall devolve upon the most recently seated IETF nominations committee. The confirmation of such appointments shall remain with the IESG.  The power to make such appointments shall revert to the IAB upon publication of the updated BCP."
> 
> [Basically, if the IAB doesn't have time to complete the BCP, then it probably doesn't have time to deal with the ISOC appointments]
> 
> 
> To be clear, I'd go with the "too much" alternative above and just say that the appointments are made on the schedule described by the ISOC.
> 
> On the other hand, noting that the language in the rationale section (1.2) is no longer a completely accurate statement of reality (cf appointment of IAOC members), it may make sense to re-address who should be doing these appointments.  Perhaps the IAOC is a better body?  Or this can be folded into the Nomcom process?   Not making any recommendations here, just noting that if we're updating this document, we should make sure it's all valid as of the date of publication.
> 
> Later, Mike
> 
> 
>>

---

From: Bob Hinden <[email-masked]>
Date: Mon, 29 Feb 2016 07:39:15 -0800

Brian,

> On Feb 28, 2016, at 10:48 AM, Brian E Carpenter <[email-masked]> wrote:
> 
> Well, OK.
> 
> NEW NEW:

Fine for me.

Bob

---

From: Bob Hinden <[email-masked]>
Date: Mon, 29 Feb 2016 07:46:57 -0800

Mike,

After reading your email, I think Brian’s proposed text is fine.  I don’t think anything more is needed.

The IAB did the right thing when the ISOC bylaws changed the number of IETF appointed board members, and they are doing the right thing to update RFC3677.

Next.

Bob

> On Feb 28, 2016, at 12:06 PM, Michael StJohns <[email-masked]> wrote:
> 
> Replace 3.4.1 and 3.4.2 with:  "The IAB shall appoint the IETF-sourced members to the ISOC board with the terms and schedule for such members as described by the ISOC charter, and as they are notified by the ISOC board of IETF-sourced vacancies."
>

---

From: "Bradner, Scott" <[email-masked]>
Date: Sun, 28 Feb 2016 20:08:27 +0000

s/charter/by laws/

Scott

---

From: Michael StJohns <[email-masked]>
Date: Mon, 29 Feb 2016 16:57:19 -0500

Reading your email, I'm under the impression you didn't actually read mine.   I actually suggested that the 2-3 paragraphs of "remember to update the BCP" could be replaced with one sentence of text that didn't ever need to be changed going forward.   

Brian's text is proscriptive without any real teeth - which suggests to me that it is the wrong text - either too little direction or too much direction.  I came down on the side of too much, but provided text to fix it in either direction.  

Mike

Sent from my iPad

> On Feb 29, 2016, at 10:46, Bob Hinden <[email-masked]> wrote:
> 
> Mike,
>

---

From: Bob Hinden <[email-masked]>
Date: Mon, 29 Feb 2016 19:46:59 -0800

Mike,

I did read it, but as I said, I still think Brian’s text is fine.  It’s somewhere in the middle of the two ends of the spectrum that you outlined.

Bob

> On Feb 29, 2016, at 1:57 PM, Michael StJohns <[email-masked]> wrote:
>